twitter4j

## Class GeoLocation

- java.lang.Object
- - twitter4j.GeoLocation

All Implemented Interfaces:
  Serializable

    public class GeoLocation
    extends Object
    implements Serializable

A data class representing geo location.

Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GeoLocation(double latitude, double longitude)` Creates a GeoLocation instance

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`double` `getLatitude()` returns the latitude of the geo location
`double` `getLongitude()` returns the longitude of the geo location
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeoLocation

    public GeoLocation(double latitude,
                       double longitude)

Creates a GeoLocation instance

Parameters:
  `latitude` - the latitude
  `longitude` - the longitude

### Method Detail

#### getLatitude

    public double getLatitude()

returns the latitude of the geo location

Returns:
  the latitude

#### getLongitude

    public double getLongitude()

returns the longitude of the geo location

Returns:
  the longitude

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`